Dhaliye TOTP / HOTP ee Furayaal Hal-Mar ah
Dhaliye TOTP / HOTP wuxuu abuuraa furayaal hal-mar ah oo ka yimid sir la wadaago oo Base32 ah. TOTP wuxuu isticmaalaa waqtiga hadda jira, halka HOTP uu isticmaalo counter. Dooro 6, 7, ama 8 digits, SHA-1, SHA-256, ama SHA-512, iyo waqti sida 15, 30, ama 60 ilbiriqsi. Countdown toos ah wuxuu muujinayaa inta uu koodhka TOTP ee hadda jira shaqeynayo.
Dhaliye TOTP / HOTP wuxuu abuuraa furayaasha hal-mar ah ee loo isticmaalo xaqiijinta laba-tallaabo ah. Wuxuu taageeraa TOTP (RFC 6238), oo ka soo saara koodh cusub waqtiga hadda jira iyo sir la wadaago, iyo HOTP (RFC 4226), oo ka soo saara koodh counter. Sirta la wadaago waxaa loo codeeyaa Base32 (RFC 4648), qaabka ay qaadaan koodhadhka QR ee Google Authenticator.
Si loo soo saaro koodhadh, qalabku wuxuu isticmaalaa sirta la wadaago iyo dejimaha la doortay. Waxaad dooran kartaa 6, 7, ama 8 digits, SHA-1, SHA-256, ama SHA-512, iyo waqti TOTP ah sida 15, 30, ama 60 ilbiriqsi. Countdown bar toos ah wuxuu muujinayaa inta uu koodhka waqtiga ku salaysan ee hadda jira shaqeynayo. Xisaabintu waxay isticmaashaa WebCrypto HMAC waxayna ku socotaa biraawsarkaaga maxalli ahaan.
TOTP iyo HOTP waxay ku kala duwan yihiin qiimaha loo isticmaalo in koodh kasta laga soo saaro: TOTP wuxuu isticmaalaa waqtiga, halka HOTP uu isticmaalo counter. Labada qaab waxay soo saaraan furayaal hal-mar ah oo ka yimid sir la wadaago, laakiin kala duwanaanshuhu waa muhiim marka la imtixaanayo ama la shaqaynayo hab gaar ah oo xaqiijin laba-tallaabo ah. Isticmaal dhaliyaha si aad u diyaariso koodhadh xog imtixaan, u hubiso hab-shaqo authenticator, ama u barbar dhigto labada heer.
Dhaliye TOTP / HOTP wuxuu ku socdaa biraawsarkaaga, xogna looma diro server. Ma laha ku-tiirsanaan server, sidaas darteed boggu marka uu shubmo wuu sii shaqeeyaa offline. Tani waxay ka dhigaysaa mid faa'iido u leh horumariyeyaasha iyo injineerada DevOps ee u baahan koodhadh imtixaan maxalli ah, fixtures, dukumenti, ama hawlo horumarineed iyagoon sirta la wadaago meel kale u dirin.
Tallaabo 1: Geli sirta la wadaago qaab Base32 ah, encoding-ka loo isticmaalo koodhadhka QR ee authenticator-ka.
Tallaabo 2: Deji xulashooyinka jira: dooro 6, 7, ama 8 digits iyo SHA-1, SHA-256, ama SHA-512.
Tallaabo 3: Dooro waqti TOTP ah, sida 15, 30, ama 60 ilbiriqsi.
Tallaabo 4: Soo saar furaha hal-mar ah oo hubi countdown-ka tooska ah si aad u aragto inta uu koodhka TOTP ee hadda jira shaqeynayo.
Tallaabo 5: Koobi qiimayaasha aad u baahan tahay imtixaankaaga, fixture-kaaga, ama hab-shaqadaada kale.
Isticmaalka: Soo saar qiimayaal TOTP ama HOTP ah imtixaannada xaqiijinta, fixtures, iyo xogta seed halkii aad gacanta ku qori lahayd koodhadh tusaale ah.
Isticmaalka: Abuur koox koodhadh ah hal mar marka aad diyaarinayso xog imtixaan, beddel ahaan inaad gacanta abuurto qiimayaal.
Isticmaalka: Soo saar koodhadh sida heerka la doortay iyo dejimaha halkii aad ku tiirsanaan lahayd mala-awaal lagu qoray kiiboodhka.
Isticmaalka: Hubi sida sir Base32 ah oo la wadaago ay u soo saarto fur hal-mar ah marka aad imtixaanayso hab-shaqo authenticator.
Isticmaalka: Is barbar dhig koodhadhka TOTP ee waqtiga ku salaysan iyo koodhadhka HOTP ee counter-ku salaysan markaad horumarinayso ama cilad-saarayso xaqiijin laba-tallaabo ah.
Isticmaalka: Diyaari furayaal hal-mar ah oo tusaale ah dukumenti, bandhigyo, ama shaqo kale oo horumarineed.